<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.102
Name: R_PatientNL GBA [identified/confirmable]
Description: COCT_RM050000NL02: Patiënt/persoonsgegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000">
   <title>R_PatientNL GBA [identified/confirmable]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]"
         id="tmp-08240957-f069-485b-a4a7-075561bed558">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="string(@classCode)='PAT' or not(@classCode)">(R_PatientNL-GBA-identified-confirmable): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']/@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'])&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(R_PatientNL-GBA-identified-confirmable): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:addr)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:addr komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): element hl7:patientPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:patientPerson)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:patientPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:templateId
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:templateId"
         id="tmp-384846c4-3238-4539-9925-0438ca6630fb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.102'">(R_PatientNL-GBA-identified-confirmable): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.102' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:id
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:id"
         id="tmp-ba0669ab-2a64-4cf7-a364-820373760d78">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="string(@nullFlavor)='NA' or not(@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): de waarde van @nullFlavor MOET 'NA' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3' or not(@root)">(R_PatientNL-GBA-identified-confirmable): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr"
         id="tmp-f68f650e-20da-4d73-9170-70b217aca9b4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="string-length(@use)&gt;0">(AdresKind): attribute @use MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:streetName)&lt;=1">(AdresKind): element hl7:streetName komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:houseNumber)&lt;=1">(AdresKind): element hl7:houseNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:buildingNumberSuffix)&lt;=1">(AdresKind): element hl7:buildingNumberSuffix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:additionalLocator)&lt;=1">(AdresKind): element hl7:additionalLocator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:postalCode)&lt;=1">(AdresKind): element hl7:postalCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:county)&lt;=1">(AdresKind): element hl7:county komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:city)&lt;=1">(AdresKind): element hl7:city komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:country)&lt;=1">(AdresKind): element hl7:country komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:desc)&lt;=1">(AdresKind): element hl7:desc komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:useablePeriod)&lt;=1">(AdresKind): element hl7:useablePeriod komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:streetName
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:streetName"
         id="tmp-e603e708-b055-430d-8516-eafb3a070639">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:houseNumber
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:houseNumber"
         id="tmp-edc3c84d-f234-4d62-848c-f7e30f9b8d69">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:buildingNumberSuffix
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:buildingNumberSuffix"
         id="tmp-d016af26-a3b7-4db1-b463-84b168356979">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:additionalLocator
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:additionalLocator"
         id="tmp-c5add355-b1e8-47fc-a75d-e4dc4b232c03">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="text()=('to','by')">(AdresKind): 
                        <name path=".."/>/<name/> MOET 'to' of 'by' zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:postalCode
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:postalCode"
         id="tmp-8cad2d60-09ef-4ffd-953c-ad2fc52b2ce2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="string-length(text())=7">(AdresKind): 
                        <name path=".."/>/<name/> MOET formaat 'nnnn AA' zijn (met spatie)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:county
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:county"
         id="tmp-19360295-84bc-4030-b492-fcc4ef223fa9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'">(AdresKind): 
                        <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:city
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:city"
         id="tmp-54961f59-3208-4999-a777-e37b9e18dcf5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:country
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:country"
         id="tmp-3559d7e4-a7f3-4071-b8f9-aadbcae9c80f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'">(AdresKind): 
                        <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA tabel 34 Landen</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:desc
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:desc"
         id="tmp-342764ee-5b01-48cd-98d0-8c3a1fb3fd3c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10251
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:useablePeriod
Item: (PeriodeGeldigheidAdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:useablePeriod"
         id="tmp-c4ec5cdf-5aea-49b2-b4c7-c4df78841990">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeGeldigheidAdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(PeriodeGeldigheidAdresKind): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="$elmcount&lt;=2">(PeriodeGeldigheidAdresKind): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(PeriodeGeldigheidAdresKind): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(PeriodeGeldigheidAdresKind): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="count(hl7:width)=0">(PeriodeGeldigheidAdresKind): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="count(hl7:center)=0">(PeriodeGeldigheidAdresKind): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10251
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:useablePeriod/hl7:low
Item: (PeriodeGeldigheidAdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:useablePeriod/hl7:low"
         id="tmp-782fdaab-16bb-4668-9747-9c14638402d3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeGeldigheidAdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(PeriodeGeldigheidAdresKind): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10251
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:useablePeriod/hl7:high
Item: (PeriodeGeldigheidAdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:useablePeriod/hl7:high"
         id="tmp-d3555a5e-05bc-4e46-a098-c4dc443ab191">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeGeldigheidAdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(PeriodeGeldigheidAdresKind): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10251
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:useablePeriod/hl7:width
Item: (PeriodeGeldigheidAdresKind)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10251
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:useablePeriod/hl7:center
Item: (PeriodeGeldigheidAdresKind)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson"
         id="tmp-a7565fe7-e7f0-4984-8508-b3f58f6f24a5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(R_PatientNL-GBA-identified-confirmable): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(R_PatientNL-GBA-identified-confirmable): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:administrativeGenderCode[(@code='M' and @codeSystem='2.16.840.1.113883.5.1') or (@code='F' and @codeSystem='2.16.840.1.113883.5.1') or (@code='UN' and @codeSystem='2.16.840.1.113883.5.1') or @nullFlavor='UNK'])&gt;=1 ">(R_PatientNL-GBA-identified-confirmable): element hl7:administrativeGenderCode[(@code='M' and @codeSystem='2.16.840.1.113883.5.1') or (@code='F' and @codeSystem='2.16.840.1.113883.5.1') or (@code='UN' and @codeSystem='2.16.840.1.113883.5.1') or @nullFlavor='UNK'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:administrativeGenderCode[(@code='M' and @codeSystem='2.16.840.1.113883.5.1') or (@code='F' and @codeSystem='2.16.840.1.113883.5.1') or (@code='UN' and @codeSystem='2.16.840.1.113883.5.1') or @nullFlavor='UNK'])&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:administrativeGenderCode[(@code='M' and @codeSystem='2.16.840.1.113883.5.1') or (@code='F' and @codeSystem='2.16.840.1.113883.5.1') or (@code='UN' and @codeSystem='2.16.840.1.113883.5.1') or @nullFlavor='UNK'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:birthTime)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:birthTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:name
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:name"
         id="tmp-4cd6f5a7-8eee-403e-9d01-47678d960115">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="string(@use)='OR'">(R_PatientNL-GBA-identified-confirmable): de waarde van @use MOET 'OR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): element hl7:given is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:given)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:given komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:prefix)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:prefix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:family)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:name/hl7:given
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:name/hl7:given"
         id="tmp-fa62aa9e-b6af-4ab3-a52e-e127dde6b290">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="not(@qualifier)">(R_PatientNL-GBA-identified-confirmable): 
                                <name/>/@qualifier is niet toegestaan</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:name/hl7:prefix
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:name/hl7:prefix"
         id="tmp-4382542b-3acd-46b4-aa12-c1cfa6e1c1ab">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="@qualifier='VV BR' or @qualifier='BR VV'">(R_PatientNL-GBA-identified-confirmable): 
                                <name/> moet de voorvoegsels van de geslachtsnaam bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:name/hl7:family
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:name/hl7:family"
         id="tmp-2516fafd-84b7-418a-8abb-92d60447e18b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="string(@qualifier)='BR'">(R_PatientNL-GBA-identified-confirmable): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:administrativeGenderCode[(@code='M' and @codeSystem='2.16.840.1.113883.5.1') or (@code='F' and @codeSystem='2.16.840.1.113883.5.1') or (@code='UN' and @codeSystem='2.16.840.1.113883.5.1') or @nullFlavor='UNK']
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:administrativeGenderCode[(@code='M' and @codeSystem='2.16.840.1.113883.5.1') or (@code='F' and @codeSystem='2.16.840.1.113883.5.1') or (@code='UN' and @codeSystem='2.16.840.1.113883.5.1') or @nullFlavor='UNK']"
         id="tmp-05a47d4b-1fab-4eaf-b54c-cb7bef912c21">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(R_PatientNL-GBA-identified-confirmable): de waarde van @code MOET worden gekozen uit waardenlijst W0023_HL7 W0023 Geslacht (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-GBA-identified-confirmable): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0023_HL7 W0023 Geslacht (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:birthTime
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:birthTime"
         id="tmp-fb02d179-d58c-4c80-af00-92e6af62f0a4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
