<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.11012
Name: Rubriek 12 Erfelijke belasting en ouderkenmerken
Description: Vastleggen van ziekten en afwijkingen, die in genetisch opzicht voor het kind van belang kunnen zijn.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.11012-2012-08-01T000000">
   <title>Rubriek 12 Erfelijke belasting en ouderkenmerken</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11012
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]
Item: (rubricCluster12)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11012
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]
Item: (rubricCluster12)
-->

   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]"
         id="tmp-403174fa-eff7-461b-9b8a-abc3e839e60c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11012-2012-08-01T000000.html"
              test="string(@classCode)='CLUSTER' or not(@classCode)">(rubricCluster12): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11012-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(rubricCluster12): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11012-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']/@nullFlavor)">(rubricCluster12): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11012-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012'])&lt;=1">(rubricCluster12): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11012-2012-08-01T000000.html"
              test="count(hl7:code[(@code='R012' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')])&gt;=1 and not(hl7:code[(@code='R012' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]/@nullFlavor)">(rubricCluster12): element hl7:code[(@code='R012' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11012-2012-08-01T000000.html"
              test="count(hl7:code[(@code='R012' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')])&lt;=1">(rubricCluster12): element hl7:code[(@code='R012' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11012-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']]])&gt;=1 ">(rubricCluster12): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11012-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']]])&lt;=1">(rubricCluster12): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11012-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']]])&lt;=1">(rubricCluster12): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11012-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']]])&lt;=1">(rubricCluster12): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11012-2012-08-01T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']]])&lt;=1">(rubricCluster12): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11012
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:templateId
Item: (rubricCluster12)
-->

   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:templateId"
         id="tmp-139b0c9f-d80a-4c93-afba-1b62a3e4773e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11012-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(rubricCluster12): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11012-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.11012'">(rubricCluster12): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11012' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11012
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:code[(@code='R012' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]
Item: (rubricCluster12)
-->

   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:code[(@code='R012' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')]"
         id="tmp-8a948729-d015-452d-a8d2-795caa74f66e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11012-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(rubricCluster12): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.11012-2012-08-01T000000.html"
              test="@nullFlavor or (@code='R012' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')">(rubricCluster12): de elementwaarde MOET zijn code 'R012' codeSystem '2.16.840.1.113883.2.4.4.40.391'.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11012
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']]]
Item: (rubricCluster12)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40079
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]
Item: (obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40079
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']]]
Item: (obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']]]"
         id="tmp-88d9e444-1e2d-40d4-921a-c8415d415562">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40079-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']]/@nullFlavor)">(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40079-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']])&lt;=1">(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40079
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']]]/hl7:observation
Item: (obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']]]/hl7:observation"
         id="tmp-7aabead0-2e79-415a-b498-a7c2fdd781d1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40079-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40079-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40079-2012-08-01T000000.html"
              test="string(@negationInd)='false'">(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40079-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']/@nullFlavor)">(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40079-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079'])&lt;=1">(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40079-2012-08-01T000000.html"
              test="count(hl7:code[(@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): element hl7:code[(@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40079-2012-08-01T000000.html"
              test="count(hl7:code[(@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): element hl7:code[(@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40079-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40079-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40079
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']
Item: (obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']"
         id="tmp-b9c0a121-460b-43e3-a7ea-f3d912109475">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40079-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40079-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40079'">(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40079' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40079
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']]]/hl7:observation/hl7:code[(@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']]]/hl7:observation/hl7:code[(@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-030b753d-a439-44a5-9505-62bc678e5651">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40079-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40079-2012-08-01T000000.html"
              test="@nullFlavor or (@code='79' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): de elementwaarde MOET zijn code '79' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40079
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']]]/hl7:observation/hl7:value
Item: (obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']]]/hl7:observation/hl7:value"
         id="tmp-6da831bb-70ec-4f59-860f-d7d90815802a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40079-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40079-2012-08-01T000000.html"
              test="string-length(@xsi:type)&gt;0">(obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40079
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']]]/hl7:observation/hl7:component1[hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]]
Item: (obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40079
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40079']]]/hl7:observation/hl7:component2[hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]]
Item: (obs_Erfelijke_belasting_en_ouderkenmerken_nagevraa)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11012
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]
Item: (rubricCluster12)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40080
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]
Item: (obs_Erfelijke_bepaalde_ziekte_in_de_familie)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40080
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]
Item: (obs_Erfelijke_bepaalde_ziekte_in_de_familie)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]"
         id="tmp-2f371e8c-e587-427f-8b2d-3bea304cb69d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]/@nullFlavor)">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']])&lt;=1">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40080
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]/hl7:observation
Item: (obs_Erfelijke_bepaalde_ziekte_in_de_familie)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]/hl7:observation"
         id="tmp-087d4dc3-cc8b-496d-96ea-75bdbc30dd35">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="string(@negationInd)='false'">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']/@nullFlavor)">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080'])&lt;=1">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="count(hl7:code[(@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:code[(@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="count(hl7:code[(@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:code[(@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="count(hl7:value[(@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or @nullFlavor='NA' or @nullFlavor='OTH'])&gt;=1 ">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:value[(@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or @nullFlavor='NA' or @nullFlavor='OTH'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="count(hl7:value[(@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or @nullFlavor='NA' or @nullFlavor='OTH'])&lt;=1">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:value[(@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or @nullFlavor='NA' or @nullFlavor='OTH'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]])&gt;=1 and not(hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]/@nullFlavor)">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]])&lt;=1">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40080
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']
Item: (obs_Erfelijke_bepaalde_ziekte_in_de_familie)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']"
         id="tmp-4d3f1ecc-4a1b-47da-825c-1a9a505ad629">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40080'">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40080' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40080
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]/hl7:observation/hl7:code[(@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Erfelijke_bepaalde_ziekte_in_de_familie)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]/hl7:observation/hl7:code[(@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-d6ec834b-7b06-4361-9cb0-003732a73fea">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="@nullFlavor or (@code='80' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de elementwaarde MOET zijn code '80' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40080
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]/hl7:observation/hl7:value[(@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or @nullFlavor='NA' or @nullFlavor='OTH']
Item: (obs_Erfelijke_bepaalde_ziekte_in_de_familie)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]/hl7:observation/hl7:value[(@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.8') or @nullFlavor='NA' or @nullFlavor='OTH']"
         id="tmp-b54db479-2039-4c37-9f41-e07b73f60b44">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.114-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.114-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de waarde van @code MOET worden gekozen uit waardenlijst W0114_HL7 W0114 Erfelijke ziekten (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0114_HL7 W0114 Erfelijke ziekten (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="string-length(@xsi:type)&gt;0">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40080
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]/hl7:observation/hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]
Item: (obs_Erfelijke_bepaalde_ziekte_in_de_familie)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]/hl7:observation/hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]"
         id="tmp-0f704361-1fa3-4a1a-92cf-51d5a8a29a0f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="count(hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']])&gt;=1 and not(hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]/@nullFlavor)">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="count(hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']])&lt;=1">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40080
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]/hl7:observation/hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]/hl7:personalRelationship
Item: (obs_Erfelijke_bepaalde_ziekte_in_de_familie)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]/hl7:observation/hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]/hl7:personalRelationship"
         id="tmp-217e6c23-cf38-45f9-aedc-8baa3473235f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="string(@classCode)='PRS'">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="count(hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH'])&gt;=1 ">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="count(hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH'])&lt;=1">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder)&lt;=1">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40080
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]/hl7:observation/hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]/hl7:personalRelationship/hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']
Item: (obs_Erfelijke_bepaalde_ziekte_in_de_familie)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]/hl7:observation/hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]/hl7:personalRelationship/hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']"
         id="tmp-e2489ba1-0871-49b4-8bc7-c428711d6a42">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.115-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.115-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de waarde van @code MOET worden gekozen uit waardenlijst W0115_HL7 W0115 Familielid (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0115_HL7 W0115 Familielid (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40080
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]/hl7:observation/hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]/hl7:personalRelationship/hl7:relationshipHolder
Item: (obs_Erfelijke_bepaalde_ziekte_in_de_familie)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]/hl7:observation/hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.111') or (@code='SIS' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHFTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRFTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='GRMTHMTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MUNCLE' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PAUNT' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MAUNT' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]]/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-0d3de8f7-fc18-4c2e-b8c0-b10e15b6d9f3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="string(@classCode)='PSN'">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE'">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="string(@nullFlavor)='NI'">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40080-2012-08-01T000000.html"
              test="string(@xsi:nil)='true'">(obs_Erfelijke_bepaalde_ziekte_in_de_familie): de waarde van @xsi:nil MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40080
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]/hl7:observation/hl7:component1[hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]]
Item: (obs_Erfelijke_bepaalde_ziekte_in_de_familie)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40080
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40080']]]/hl7:observation/hl7:component2[hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]]
Item: (obs_Erfelijke_bepaalde_ziekte_in_de_familie)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11012
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]
Item: (rubricCluster12)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40070
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]
Item: (obs_Ouderkenmerken)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40070
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]
Item: (obs_Ouderkenmerken)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]"
         id="tmp-6820d5bf-5b2b-4dcb-b3e6-07d829219fb1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]/@nullFlavor)">(obs_Ouderkenmerken): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']])&lt;=1">(obs_Ouderkenmerken): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40070
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]/hl7:observation
Item: (obs_Ouderkenmerken)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]/hl7:observation"
         id="tmp-75d8c5c1-e922-4797-b015-ee25f460d506">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(obs_Ouderkenmerken): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(obs_Ouderkenmerken): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="string(@negationInd)='false'">(obs_Ouderkenmerken): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']/@nullFlavor)">(obs_Ouderkenmerken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070'])&lt;=1">(obs_Ouderkenmerken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="count(hl7:code[(@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Ouderkenmerken): element hl7:code[(@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="count(hl7:code[(@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Ouderkenmerken): element hl7:code[(@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="count(hl7:value[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or @nullFlavor='NA' or @nullFlavor='OTH'])&gt;=1 ">(obs_Ouderkenmerken): element hl7:value[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or @nullFlavor='NA' or @nullFlavor='OTH'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="count(hl7:value[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or @nullFlavor='NA' or @nullFlavor='OTH'])&lt;=1">(obs_Ouderkenmerken): element hl7:value[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or @nullFlavor='NA' or @nullFlavor='OTH'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]]])&gt;=1 and not(hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]]]/@nullFlavor)">(obs_Ouderkenmerken): element hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="count(hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]]])&lt;=1">(obs_Ouderkenmerken): element hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40070
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']
Item: (obs_Ouderkenmerken)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']"
         id="tmp-d641330d-e004-4fb3-bc62-893fe2ea6d7e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Ouderkenmerken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40070'">(obs_Ouderkenmerken): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40070' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40070
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]/hl7:observation/hl7:code[(@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Ouderkenmerken)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]/hl7:observation/hl7:code[(@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-4e6605ad-b567-4274-9545-aa77fe6cee94">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Ouderkenmerken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="@nullFlavor or (@code='70' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Ouderkenmerken): de elementwaarde MOET zijn code '70' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40070
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]/hl7:observation/hl7:value[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or @nullFlavor='NA' or @nullFlavor='OTH']
Item: (obs_Ouderkenmerken)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]/hl7:observation/hl7:value[(@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.5') or @nullFlavor='NA' or @nullFlavor='OTH']"
         id="tmp-782bb791-aa8e-4cc2-9b3d-45b40c3b3647">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Ouderkenmerken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.116-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.116-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(obs_Ouderkenmerken): de waarde van @code MOET worden gekozen uit waardenlijst W0116_HL7 W0116 Ouderkenmerken (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Ouderkenmerken): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0116_HL7 W0116 Ouderkenmerken (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="string-length(@xsi:type)&gt;0">(obs_Ouderkenmerken): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40070
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]/hl7:observation/hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]]]
Item: (obs_Ouderkenmerken)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]/hl7:observation/hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]]]"
         id="tmp-ff8c3156-58d0-4c58-babc-e09cf500189b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="string(@typeCode)='SBJ' or not(@typeCode)">(obs_Ouderkenmerken): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="count(hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]])&gt;=1 and not(hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]]/@nullFlavor)">(obs_Ouderkenmerken): element hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="count(hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]])&lt;=1">(obs_Ouderkenmerken): element hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40070
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]/hl7:observation/hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship
Item: (obs_Ouderkenmerken)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]/hl7:observation/hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship"
         id="tmp-7023566d-ad06-4269-821d-202678406122">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="string(@classCode)='PRS'">(obs_Ouderkenmerken): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="count(hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')])&gt;=1 and not(hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]/@nullFlavor)">(obs_Ouderkenmerken): element hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="count(hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')])&lt;=1">(obs_Ouderkenmerken): element hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(obs_Ouderkenmerken): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="count(hl7:relationshipHolder)&lt;=1">(obs_Ouderkenmerken): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40070
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]/hl7:observation/hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]
Item: (obs_Ouderkenmerken)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]/hl7:observation/hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]"
         id="tmp-17d25a8c-ef9c-4af4-b8c6-8f4d1a6b6338">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Ouderkenmerken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.117-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.117-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(obs_Ouderkenmerken): de waarde van @code MOET worden gekozen uit waardenlijst W0117_HL7 W0117 Vader/moeder (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Ouderkenmerken): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0117_HL7 W0117 Vader/moeder (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40070
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]/hl7:observation/hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder
Item: (obs_Ouderkenmerken)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]/hl7:observation/hl7:subject[hl7:personalRelationship[hl7:code[(@code='FTH' and @codeSystem='2.16.840.1.113883.5.111') or (@code='MTH' and @codeSystem='2.16.840.1.113883.5.111')]]]/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-200547d0-115e-4046-a8f1-af3a7a4565a2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="string(@classCode)='PSN'">(obs_Ouderkenmerken): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE'">(obs_Ouderkenmerken): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="string(@nullFlavor)='NI'">(obs_Ouderkenmerken): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40070-2012-08-01T000000.html"
              test="string(@xsi:nil)='true'">(obs_Ouderkenmerken): de waarde van @xsi:nil MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40070
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]/hl7:observation/hl7:component1[hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]]
Item: (obs_Ouderkenmerken)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40070
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40070']]]/hl7:observation/hl7:component2[hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]]
Item: (obs_Ouderkenmerken)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11012
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']]]
Item: (rubricCluster12)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40238
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]
Item: (obs_Lengte_biologische_moeder)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40238
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']]]
Item: (obs_Lengte_biologische_moeder)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']]]"
         id="tmp-eb965e57-faf4-4217-9216-6b70cf8255fd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']]/@nullFlavor)">(obs_Lengte_biologische_moeder): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']])&lt;=1">(obs_Lengte_biologische_moeder): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40238
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']]]/hl7:observation
Item: (obs_Lengte_biologische_moeder)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']]]/hl7:observation"
         id="tmp-60953b2d-b4be-40e1-834b-86f1a8b9cb04">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(obs_Lengte_biologische_moeder): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(obs_Lengte_biologische_moeder): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="string(@negationInd)='false'">(obs_Lengte_biologische_moeder): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']/@nullFlavor)">(obs_Lengte_biologische_moeder): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238'])&lt;=1">(obs_Lengte_biologische_moeder): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="count(hl7:code[(@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Lengte_biologische_moeder): element hl7:code[(@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="count(hl7:code[(@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Lengte_biologische_moeder): element hl7:code[(@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Lengte_biologische_moeder): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Lengte_biologische_moeder): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="count(hl7:methodCode)&lt;=1">(obs_Lengte_biologische_moeder): element hl7:methodCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40238
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']
Item: (obs_Lengte_biologische_moeder)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']"
         id="tmp-f89fee6f-0d57-4f07-828e-d69cc17436cb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Lengte_biologische_moeder): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40238'">(obs_Lengte_biologische_moeder): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40238' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40238
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']]]/hl7:observation/hl7:code[(@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Lengte_biologische_moeder)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']]]/hl7:observation/hl7:code[(@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-021fb82f-35a9-4e34-8520-431df0f34600">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Lengte_biologische_moeder): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="@nullFlavor or (@code='238' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Lengte_biologische_moeder): de elementwaarde MOET zijn code '238' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40238
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']]]/hl7:observation/hl7:value
Item: (obs_Lengte_biologische_moeder)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']]]/hl7:observation/hl7:value"
         id="tmp-54e37ad3-105e-4127-b9a1-f1fc31c7c65d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Lengte_biologische_moeder): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="(@nullFlavor or (@unit='mm' and number($theValue)&lt;=9999))">(obs_Lengte_biologische_moeder): value MOET eenheid 'mm' gebruiken en in bereik [..9999] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="$digitok or @nullFlavor">(obs_Lengte_biologische_moeder): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(obs_Lengte_biologische_moeder): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="string-length(@xsi:type)&gt;0">(obs_Lengte_biologische_moeder): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40238
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']]]/hl7:observation/hl7:methodCode
Item: (obs_Lengte_biologische_moeder)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']]]/hl7:observation/hl7:methodCode"
         id="tmp-221a5e0c-006d-4671-9116-83751e4ea76b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Lengte_biologische_moeder): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.256-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.256-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(obs_Lengte_biologische_moeder): de waarde van @code MOET worden gekozen uit waardenlijst W0256_HL7 W0256 Methode lengtemeting ouders (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40238-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Lengte_biologische_moeder): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0256_HL7 W0256 Methode lengtemeting ouders (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40238
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']]]/hl7:observation/hl7:component1[hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]]
Item: (obs_Lengte_biologische_moeder)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40238
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40238']]]/hl7:observation/hl7:component2[hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]]
Item: (obs_Lengte_biologische_moeder)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11012
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']]]
Item: (rubricCluster12)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40240
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]
Item: (obs_Lengte_biologische_vader)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40240
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']]]
Item: (obs_Lengte_biologische_vader)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']]]"
         id="tmp-9bd19452-d81f-4a63-b819-5cf0790e3fe3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']]/@nullFlavor)">(obs_Lengte_biologische_vader): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']])&lt;=1">(obs_Lengte_biologische_vader): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40240
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']]]/hl7:observation
Item: (obs_Lengte_biologische_vader)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']]]/hl7:observation"
         id="tmp-2527562c-cee0-494d-866b-574210557dc9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(obs_Lengte_biologische_vader): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(obs_Lengte_biologische_vader): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="string(@negationInd)='false'">(obs_Lengte_biologische_vader): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']/@nullFlavor)">(obs_Lengte_biologische_vader): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240'])&lt;=1">(obs_Lengte_biologische_vader): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="count(hl7:code[(@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Lengte_biologische_vader): element hl7:code[(@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="count(hl7:code[(@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Lengte_biologische_vader): element hl7:code[(@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Lengte_biologische_vader): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Lengte_biologische_vader): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="count(hl7:methodCode)&lt;=1">(obs_Lengte_biologische_vader): element hl7:methodCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40240
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']
Item: (obs_Lengte_biologische_vader)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']"
         id="tmp-0895f897-5303-4e34-8888-b7bbfd4584a0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Lengte_biologische_vader): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40240'">(obs_Lengte_biologische_vader): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40240' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40240
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']]]/hl7:observation/hl7:code[(@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Lengte_biologische_vader)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']]]/hl7:observation/hl7:code[(@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-0c21eeff-9bf3-4d14-a017-e76ba18ee466">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Lengte_biologische_vader): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="@nullFlavor or (@code='240' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Lengte_biologische_vader): de elementwaarde MOET zijn code '240' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40240
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']]]/hl7:observation/hl7:value
Item: (obs_Lengte_biologische_vader)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']]]/hl7:observation/hl7:value"
         id="tmp-62b402a7-92c8-4fd6-9131-bc7922eeaf4d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Lengte_biologische_vader): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="(@nullFlavor or (@unit='mm' and number($theValue)&lt;=9999))">(obs_Lengte_biologische_vader): value MOET eenheid 'mm' gebruiken en in bereik [..9999] liggen  </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="$digitok or @nullFlavor">(obs_Lengte_biologische_vader): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(obs_Lengte_biologische_vader): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="string-length(@xsi:type)&gt;0">(obs_Lengte_biologische_vader): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40240
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']]]/hl7:observation/hl7:methodCode
Item: (obs_Lengte_biologische_vader)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']]]/hl7:observation/hl7:methodCode"
         id="tmp-06bdcd3c-ec12-401c-821e-8b332e1645f2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Lengte_biologische_vader): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.256-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.256-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(obs_Lengte_biologische_vader): de waarde van @code MOET worden gekozen uit waardenlijst W0256_HL7 W0256 Methode lengtemeting ouders (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40240-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Lengte_biologische_vader): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0256_HL7 W0256 Methode lengtemeting ouders (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40240
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']]]/hl7:observation/hl7:component1[hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]]
Item: (obs_Lengte_biologische_vader)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40240
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40240']]]/hl7:observation/hl7:component2[hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]]
Item: (obs_Lengte_biologische_vader)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11012
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']]]
Item: (rubricCluster12)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40808
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]
Item: (obs_Bijzonderheden_lengte_ouders)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40808
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']]]
Item: (obs_Bijzonderheden_lengte_ouders)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']]]"
         id="tmp-13c7beb1-5802-4c86-a23d-011e8413902e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40808-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']]/@nullFlavor)">(obs_Bijzonderheden_lengte_ouders): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40808-2012-08-01T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']])&lt;=1">(obs_Bijzonderheden_lengte_ouders): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40808
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']]]/hl7:observation
Item: (obs_Bijzonderheden_lengte_ouders)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']]]/hl7:observation"
         id="tmp-a24078b7-d45d-4cd8-af8b-d37064ca5574">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40808-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(obs_Bijzonderheden_lengte_ouders): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40808-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(obs_Bijzonderheden_lengte_ouders): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40808-2012-08-01T000000.html"
              test="string(@negationInd)='false'">(obs_Bijzonderheden_lengte_ouders): de waarde van @negationInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40808-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']/@nullFlavor)">(obs_Bijzonderheden_lengte_ouders): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40808-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808'])&lt;=1">(obs_Bijzonderheden_lengte_ouders): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40808-2012-08-01T000000.html"
              test="count(hl7:code[(@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(obs_Bijzonderheden_lengte_ouders): element hl7:code[(@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40808-2012-08-01T000000.html"
              test="count(hl7:code[(@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(obs_Bijzonderheden_lengte_ouders): element hl7:code[(@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40808-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_lengte_ouders): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40808-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_lengte_ouders): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40808
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']
Item: (obs_Bijzonderheden_lengte_ouders)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']"
         id="tmp-471800a9-8da5-4b5e-beee-59e157d800f4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40808-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_lengte_ouders): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40808-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.40808'">(obs_Bijzonderheden_lengte_ouders): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40808' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40808
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']]]/hl7:observation/hl7:code[(@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (obs_Bijzonderheden_lengte_ouders)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']]]/hl7:observation/hl7:code[(@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-8772c2ad-f728-4dec-b01a-adfc1412a890">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40808-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_lengte_ouders): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40808-2012-08-01T000000.html"
              test="@nullFlavor or (@code='808' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_lengte_ouders): de elementwaarde MOET zijn code '808' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40808
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_lengte_ouders)
-->
   <rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']]]/hl7:observation/hl7:value"
         id="tmp-51f7dda2-4ac4-4397-bfcd-9ddf81fdfeba">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40808-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(obs_Bijzonderheden_lengte_ouders): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.40808-2012-08-01T000000.html"
              test="string-length(@xsi:type)&gt;0">(obs_Bijzonderheden_lengte_ouders): attribute @xsi:type MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40808
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']]]/hl7:observation/hl7:component1[hl7:nonBDSData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10028']]]
Item: (obs_Bijzonderheden_lengte_ouders)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.40808
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40808']]]/hl7:observation/hl7:component2[hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]]
Item: (obs_Bijzonderheden_lengte_ouders)
--></pattern>
